Page MenuHomePhabricator

Upgrade Toolforge Kubernetes to version 1.23
Closed, ResolvedPublic

Details

ReferenceSource BranchDest BranchAuthorTitle
repos/cloud/toolforge/lima-kilo!54taavi/k8s-1-23maintaaviUpdate to k8s 1.23
Customize query in GitLab

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
ResolvedBstorm
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedrook
Resolvedtaavi
Resolvedtaavi
Resolvedrook
Resolvedtaavi
Resolvedrook
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
ResolvedBstorm
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
ResolvedBstorm
DeclinedNone
Resolvedrook
Resolvedtaavi
ResolvedBUG REPORTNone
OpenNone
Resolvedtaavi
Resolvedtaavi
OpenNone
Resolvedrook
Resolvedtaavi
ResolvedBUG REPORTtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi

Event Timeline

Change 908276 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] aptrepo: Add kubeadm 1.23 component

https://gerrit.wikimedia.org/r/908276

Change 908276 merged by Arturo Borrero Gonzalez:

[operations/puppet@production] aptrepo: Add kubeadm 1.23 component

https://gerrit.wikimedia.org/r/908276

Mentioned in SAL (#wikimedia-operations) [2023-04-14T08:21:21Z] <arturo> aborrero@apt2001:~ $ sudo -i reprepro --noskipold --component thirdparty/kubeadm-k8s-1-23 update buster-wikimedia (T298005)

I've reviewed the release notes and don't see anything concerning in there.

Mentioned in SAL (#wikimedia-cloud) [2023-08-30T08:15:00Z] <taavi> updating toolsbeta k8s cluster to 1.23 to test new cookbooks, T298005 T343869

Mentioned in SAL (#wikimedia-cloud-feed) [2023-08-30T11:15:29Z] <wm-bot2> toolsbeta-test-k8s-worker-9: upgrading k8s from 1.22.17 to 1.23.17 (T298005) - cookbook ran by arturo@nostromo

Mentioned in SAL (#wikimedia-cloud-feed) [2023-08-30T11:17:17Z] <wm-bot2> toolsbeta-test-k8s-worker-9: upgrading k8s from 1.22.17 to 1.23.17 (T298005) - cookbook ran by arturo@nostromo

Mentioned in SAL (#wikimedia-cloud-feed) [2023-08-30T11:18:54Z] <wm-bot2> toolsbeta-test-k8s-worker-9: upgraded k8s from 1.22.17 to 1.23.17 (T298005) - cookbook ran by arturo@nostromo

Mentioned in SAL (#wikimedia-cloud-feed) [2023-10-18T11:03:50Z] <taavi@cloudcumin1001> START - Cookbook wmcs.toolforge.k8s.prepare_upgrade for cluster tools upgrade from 1.22.17 to 1.23.17 (T298005)

Mentioned in SAL (#wikimedia-cloud-feed) [2023-10-18T11:04:17Z] <taavi@cloudcumin1001> END (PASS) - Cookbook wmcs.toolforge.k8s.prepare_upgrade (exit_code=0) for cluster tools upgrade from 1.22.17 to 1.23.17 (T298005)

Change 966865 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] aptrepo: drop k8s 1.22 components

https://gerrit.wikimedia.org/r/966865

Change 966865 merged by Majavah:

[operations/puppet@production] aptrepo: drop k8s 1.22 components

https://gerrit.wikimedia.org/r/966865